import {
    ApiModel
} from "../../utils/api";
const _Http = new ApiModel;
Page({

    /**
     * 页面的初始数据
     */
    data: {
        cooperationList: [], //合作列表
        condition: "", //模糊搜索条件
        pageNumber: 1, //请求分页
        pageTotal: 1, //总页数
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        console.log(options)
    },
    /* 搜索 */
    searchQuery({
        detail
    }) {
        if (this.data.condition == detail) return;
        this.setData({
            condition: detail,
            pageNumber: 1,
            pageTotal: 1
        })
        this.getList();
    },
    /* 编辑 */
    jumpForChange(e) {
        const {
            index
        } = e.currentTarget.dataset;
        const data = this.data.cooperationList[index];
        wx.navigateTo({
            url: '/pages/businessPartner/details?data=' + JSON.stringify(data),
        })
    },
    /* 跳转商户 */
    jumpForDetails(e) {
        const {
            index
        } = e.currentTarget.dataset;
        wx.navigateTo({
            url: '/pages/storeMessage/storehomepage?id=' + this.data.cooperationList[index].tcooperationagentsid
        })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        this.setData({
            pageNumber: 1,
            pageTotal: 1
        });
        this.getList()
    },
    /* 下拉触底 */
    scrolltolower() {
        if (this.data.pageTotal < this.data.pageNumber) return;
        this.getList();
    },
    /* 获取列表 */
    getList() {
        _Http.basic({
            "accesstoken": wx.getStorageSync('userData').token,
            "classname": "customer.tagents.tagents",
            "method": "query_cooperation",
            "content": {
                "getdatafromdbanyway": true,
                "pageNumber": this.data.pageNumber,
                "pageSize": 20,
                "where": {
                    "condition": this.data.condition,
                    "fstatus": "合作"
                }
            }
        }).then(res => {
            console.log("合作列表", res)
            if (res.msg != '成功') return wx.showToast({
                title: res.data,
                icon: "none"
            });
            for (let i = 0; i < res.data.length; i++) {
                let mySaleprodclass = '';
                for (let k = 0; k < res.data[i].saleprodclass.length; k++) {
                    if (k <= 2) {
                        (k == 0) ? mySaleprodclass += res.data[i].saleprodclass[k]: mySaleprodclass += ',' + res.data[i].saleprodclass[k];
                    } else {
                        mySaleprodclass += '...'
                        break;
                    }
                }
                res.data[i].mySaleprodclass = mySaleprodclass;
            }
            let cooperationList = res.data;
            if (res.pageNumber != 1) {
                cooperationList = this.data.cooperationList.concat(cooperationList)
            };
            this.setData({
                cooperationList,
                pageTotal: res.pageTotal,
                pageNumber: this.data.pageNumber + 1
            });
        })
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})